QGIS Redmine (QGIS bug tracker) - Support #3992
Unable to reopen closed tickets
2011-06-16 03:20 AM - Alexander Bruy

Status: Feedback Start date: 2011-06-16
Priority: Normal Due date:

Assignee: Werner Macho % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Pull Request or Patch supplied: Tag:

Description

Subject says it all.

History

#1 - 2011-10-22 06:21 AM - Giuseppe Sucameli

Seeing at #3643 seems that:

- if the ticket's status is closed and its resolution is set the user can reopen it by changing the status,
- instead the ticket becomes blocked in closed status only if the user deletes the resolution w/o change the status.

#2 - 2011-11-25 04:59 AM - Pirmin Kalberer
- Pull Request or Patch supplied set to No

- Assignee set to Werner Macho

- Status changed from Open to Feedback

The workflow for different roles (project manager, developer, reporter, non-member) is configurable:
http://www.redmine.org/projects/redmine/wiki/RedminelssueTrackingSetup

Could you define the desired possibilities?

#3 - 2011-12-08 03:01 PM - Alister Hood

- if the ticket's status is closed and its resolution is set the user can reopen it by changing the status

Really? If | set a ticket's resolution to fixed and close it, it still becomes blocked in closed status.
Or do | need to do it in two steps instead of one: set the resolution and submit, then set the status and submit?

#4 - 2012-01-22 01:58 PM - Alister Hood

I've also noticed that if a ticket's status is set to "Feedback" a user can only change it to "Closed". This doesn't seem right - is it?
